@font-face{
    font-family: Mikhak;
    src:url(../fonts/Mikhak.woff2)
}
/* @font-face{
    font-family: Estadad;
    src:url(../fonts/Mikhak.woff2)
} */

*{
    box-sizing: border-box;
}
:root{
    --primary-100:#d4eaf7;
    --primary-200:#b6ccd8;
    --primary-300:#3b3c3d;
    --accent-100:#71c4ef;
    --accent-200:#00668c;
    --bg-100:#fffefb;
    --bg-200:#f5f4f1;
    --bg-300:#cccbc8;
    --text-100:#1d1c1c;
    --text-200:#313d44;
}
html,body{
    scroll-behavior: smooth;
}
html{
    font-size: 17px;
}
body{
    background-color:var(--bg-300);
    font-family: Mikhak,Tahoma;
    /* background-image:url(images/bg.jpg); */
    background-attachment: fixed;
    background-image:linear-gradient(to top,#cfd9df 0%,#e2ebf0 100%);
}
a{
    text-decoration: none;
}
h1{
    background-color: var(--primary-200);
    color:white;
    border-radius: 7px;
    padding: 0 auto;
    text-align: center;
}
p{
    line-height: 1.5rem;
    color:var(--text-100);
}
#vid{
    margin-top:20px;
    border:3px solid var(--accent-100);
}
#up{
    width: 50px;
    height: 50px;
    margin: 0 auto;
    background-image:url(../../../images/btn.png);
    position: fixed;
    right: 20px;
    bottom: 20px;
}

#up:hover{
    background-position:top right;
}
/* main-menu */
#main-menu ul{
    list-style-type: none;
    margin: 0;
    padding: 0;
}
#main-menu ul li{
    margin: 2px;
}
#main-menu ul li a{
    display: none;
    padding: 6px 4px;
    background-color: var(--primary-200);
    color:var(--bg-100);
    width: 100%;
    height: 100%;
    display: block;
    border-right: 10px solid var(--primary-100);
    border-radius: 10px 0px 0px 10px;
    transition: 0.3s;
    text-decoration: none;
}
#main-menu ul li :first-child a{
    border-top-right-radius: 10px;
}
#main-menu ul li a:hover{
    background-color: var(--primary-100);
    border-right-color:var(--primary-200);
}

/* wbsite structure */

main{
    width: 950px;
    min-height: 1000px;
    display: grid;
    grid-template-columns: 200px auto;
    grid-template-rows: auto auto auto;
    grid-template-areas: 
    'header header'
    'aside article'
    'footer footer';
    gap: 10px;
    margin: 0 auto;
    padding: 10px;
}

header,aside,article,footer{
    border: 1px solid var(--bg-300) ;
    background-color:var(--bg-100);
    border-radius: 20px;
}

header{
    grid-area: header;
    padding: 5px;
    padding-block-end: 0px;
}

aside{
    grid-area: aside;
}

article{
    grid-area: article;
}

footer{
    grid-area: footer;
    direction: ltr;
    letter-spacing: 3px;
    text-align: center;
}
/* wbsite structure */

/*navber */
#nav{
    margin-bottom: 0;
}
#nav ul{
    list-style-type: none;
    margin: 0;
    padding: 0;
    text-align: center;
}
#nav ul li{
    display: inline-block;

}
#nav ul li a{
    display: block;
    width: 100%;
    height: 100%;
    background-color:var(--primary-200);
    color:var(--primary-300);
    padding: 4px 6px;
    border-radius: 10px 10px 0px 0px;
    border-bottom: 2px solid var(--primary-100);
    transition: 0.3s;
    text-decoration: none;
}
#nav ul li a:hover{
    background-color: var(--primary-100);
    border-bottom-color: var(--primary-200);
}
/* navbar */
#maral{
    display: block;
    margin: 0 auto;
}
/* gallery */
#gallery{
    text-align: center;
}
#gallery img{
    margin:9px;
    transition: 0.4s;
    width: 125px;
    object-fit: cover;
    border-radius: 50%;
    box-shadow: 0px 0px 10px silver;
    filter: grayscale(80%);
}
#gallery img:hover{
    transform: scale(1.1);
    filter: grayscale(0%);
}

#btn{
    margin: 10px 10px 0px 0px;
}

.card{
    float: right;
}
/* screen */
@media screen and (max-width:1024px) {
    main{
        width: 100%;
    }
    /* article{
        width:calc(100% - 210px);
    } */
    #nav{
        display: none;
    }
    #main-menu{
        display: inherit;
    }
}

@media screen and (max-width:500px) {
    main{
        grid-template-columns: auto;
        grid-template-rows: repeat(4,auto);
        grid-template-areas: 
        'header'
        'article'
        'aside'
        'footer';
    }
}

@keyframes menuplay{
    0%{
        transform: translate(200px);
        opacity: 0;
    }
    50%{
        transform: translate(-30px);
    }
    100%{
        transform:translate(0px);
        opacity: 1;
    }
}